Skip to content

Delete an access grid entry

Credentials module

DELETE/access-grid/{id}accessGridEntries.delete

A zone by credential category access rule with a time window. Soft-deletes the access grid entry: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability credentials.access_grid.write.
  • OAuth scopes: credentials.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

accessGridEntries.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the access grid entry.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/access-grid/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.accessGridEntries.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.access_grid_entries.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos access-grid-entries delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f